Bug 177235 - Review Request: sysconftool - Macros for aclocal to install configuration files
Review Request: sysconftool - Macros for aclocal to install configuration files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-07 19:57 EST by Dominik 'Rathann' Mierzejewski
Modified: 2014-09-10 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-31 13:18:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-01-07 19:57:11 EST
Spec Name or Url: http://rpm.greysector.net/extras/sysconftool.spec
SRPM Name or Url: http://rpm.greysector.net/extras/sysconftool-0.15-1.src.rpm
Description: 
sysconftool is a development utility that helps to install application
configuration files. sysconftool allows an existing application to be
upgraded without losing the older version's configuration settings.
Comment 1 Tom "spot" Callaway 2006-01-13 11:04:20 EST
Two minor issues that you should resolve before building:

- Development/Building is a non-standard Group setting. I know that Group is
pretty worthless right now, but please try to keep to the Fedora Standards found
here: http://fedoraproject.org/wiki/RPMGroups

- The autotools that you're using (autoconf/automake) should be listed as
BuildRequires.

Also, you should consider using %{?dist} at the end of the Release, if you plan
to build this for multiple branches (FC-3,FC-4,FC-5). See:
http://fedoraproject.org/wiki/DistTag

Review:

- rpmlint checks return:
W: sysconftool non-standard-group Development/Building (noted above)
W: sysconftool symlink-should-be-relative /usr/bin/sysconftoolize
/usr/share/sysconftool/sysconftoolize.pl
W: sysconftool symlink-should-be-relative /usr/bin/sysconftoolcheck
/usr/share/sysconftool/sysconftoolcheck

Safe to ignore these symlinks.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- spec localized for en_US, pl, ok
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

This package is approved, with the caveat that you resolve the two minor issues
before building. Also, I'll sponsor you based on this package (and your Aurora
related work). Go ahead and do your paperwork.
Comment 2 Dominik 'Rathann' Mierzejewski 2006-01-13 12:53:50 EST
Fixed all issues, including symlinks.
Comment 3 Christian Iseli 2006-03-28 10:39:53 EST
Any particular reason why this package is not yet imported and built ?
Comment 4 Dominik 'Rathann' Mierzejewski 2006-03-28 14:40:11 EST
Lack od time, I guess. And I still haven't figured out how to get a CVS account. :(
Comment 5 Tom "spot" Callaway 2006-04-07 14:33:47 EDT
Dominik, please go ahead and jump through the hoops to get this in. I'm trying
to clear out my outstanding bugs. :)
Comment 6 Michael Schwendt 2006-05-29 07:14:52 EDT
Hereby I'm withdrawing my offer to sponsor Dominik (bug 177105,
177104), because I haven't heard back from him for almost two
months and because Tom has offered to sponsor him nearly three
months earlier here.

With complaints that the package review queue takes too long to
process, I find it impolite not to react in a timely manner.

Also, the NEED-SPONSOR dependencies ought to be removed from all
of a packager's tickets as soon as somebody offers sponsorship.
I'm going to do that now, since the system does NOT work if this
is not done.
Comment 7 Michael Schwendt 2006-05-29 07:20:06 EDT
Dropping FE-NEEDSPONSOR. Tom Callaway offered sponsorship in bug 177235
(and bugzilla change-several-bugs-at-once feature requires me to add/edit
something).
Comment 8 Michael Schwendt 2006-05-29 07:29:26 EDT
uhm, bugzilla is broken :(
Comment 9 Dominik 'Rathann' Mierzejewski 2006-07-30 14:49:14 EDT
Source checked in, devel build requested and succeeded, waiting for fc5 and fc4
branches to be created.
Comment 10 Dominik 'Rathann' Mierzejewski 2006-07-31 13:18:23 EDT
FC-4 and FC-5 created and built successfully, closing as NEXTRELEASE.
Comment 11 Dominik 'Rathann' Mierzejewski 2014-09-10 12:05:23 EDT
Package Change Request
======================
Package Name: sysconftool
New Branches: el6 epel7
Owners: rathann
Comment 12 Jon Ciesla 2014-09-10 12:46:30 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.